{% extends 'profile/layouts/admin/admin_layout.html' %}
{% load custom_tags %}

{% load static %}

{% block css %}
{% endblock css %}

{% block navbar %}
    {% include 'profile/layouts/admin/navbar.html' %}
{% endblock navbar %}

{% block main %}
    <nav aria-label="breadcrumb">
        <ol class="breadcrumb">
            <li class="breadcrumb-item"><a href="{% url 'profile:admin_spk' %}">SPK</a></li>
            <li class="breadcrumb-item active" aria-current="page">Form Tambah Surat SPK</li>
        </ol>
    </nav>

    <div class="row">
        <!-- <div class="col-md-12">
            <div class="card text-center shadow">
                <div class="card-body">
                    <i class="fas fa-bullhorn text-warning icon-large mb-3" style="font-size: 50px;"></i>
                    <h5 class="card-title">Informasi Tahapan</h5>
                    <p class="card-text">Anda Sekarang berada di tahapan:</p>
                    <h6 class="card-subtitle mb-2 text-primary font-weight-bold">{{ tahapan.tahapan }}</h6>
                    <p class="card-text">Tahun:</p>
                    <h6 class="card-subtitle mb-2 text-primary font-weight-bold">{{ tahapan.tahun.tahun|intcomma_no_decimal }}</h6>
                </div>
            </div> 
        </div> -->
        <div class="col-md-12">
            <div class="card shadow mb-5">
                <div class="card-body">
                    <form method ='post' enctype ="multipart/form-data" action="{% if edit %}{% url 'profile:admin_spk_edit' item_spk.id %} {% else %}{% url 'profile:admin_spk_create' %} {% endif %} ">
                        {% csrf_token %}
                        <div class="row">
                            <div class="col-md-8 mt-3">
                                <div class="col-md-12 mt-3">
                                    <div class="form-label"> SKPD </div>
                                    <select name="opd" id="opd" class="form-control select2" style="width: 100%;" required onchange="render_kegiatan(this, 'frm_program', 'is_program')">
                                        <option value="">--Pilih SKPD--</option>
                                        {% for item_skpd in skpd_list %}
                                            <option {% if item_skpd.id == item_spk.opd_id %}selected{% endif %} value="{{item_skpd.id}}">{{item_skpd.namaopd}} {{item_skpd.lokasi.kabupaten}} {{item_skpd.lokasi.provinsi}}</option>
                                        {% endfor %}
                                    </select>
                                </div>
                                <div class="col-md-12 mt-3">
                                    <div class="form-label"> Program </div>
                                    <select name="frm_program" data-value="{{item_spk.program.kegiatan_id}}" id="frm_program" data-default_label="--Pilih Program--" class="form-control select2" style="width: 100%;" required onchange="render_kegiatan(this, 'frm_kegiatan', 'is_kegiatan')">
                                        <option value="">--Pilih Program--</option>
                                    </select>
                                </div>
                                <div class="col-md-12 mt-3">
                                    <div class="form-label"> Kegiatan </div>
                                    <select name="frm_kegiatan" data-value="{{item_spk.kegiatan.kegiatan_id}}" id="frm_kegiatan" data-default_label="--Pilih Kegiatan--" class="form-control select2" style="width: 100%;" required onchange="render_kegiatan(this, 'frm_subkegiatan', 'is_subkegiatan')">
                                        <option value="">--Pilih Kegiatan--</option>
                                    </select>
                                </div>
                                <div class="col-md-12 mt-3">
                                    <div class="form-label"> Sub Kegiatan </div>
                                    <select name="frm_subkegiatan" data-value="{{item_spk.subkegiatan.kegiatan_id}}" id="frm_subkegiatan" data-default_label="--Pilih Sub Kegiatan--" class="form-control select2" style="width: 100%;" required onchange="render_kegiatan(this, 'frm_bagian', 'is_bagian')">
                                        <option value="">--Pilih Sub Kegiatan--</option>
                                    </select>
                                </div>
                               <!--  <div class="col-md-12 mt-3">
                                    <div class="form-label"> Rekening </div>
                                    <select name="frm_rekening" id="frm_rekening" data-default_label="--Pilih Rekening--" class="form-control select2" style="width: 100%;" required onchange="render_kegiatan(this, 'frm_sumberdana', 'is_sumberdana')">
                                        <option value="">--Pilih Rekening--</option>
                                    </select>
                                </div>
                                <div class="col-md-12 mt-3">
                                    <div class="form-label"> Sumberdana </div>
                                    <select name="frm_sumberdana" id="frm_sumberdana" data-default_label="--Pilih Sumberdana--" class="form-control select2" style="width: 100%;" required onchange="render_kegiatan(this, 'frm_bagian', 'is_bagian')">
                                        <option value="">--Pilih Sumberdana--</option>
                                    </select>
                                </div> -->
                                <div class="col-md-12 mt-3">
                                    <div class="form-label"> Bagian </div>
                                    <select name="frm_bagian" data-value="{{item_spk.bagian.kegiatan_id}}" id="frm_bagian" data-default_label="--Pilih Bagian--" class="form-control select2" style="width: 100%;" required>
                                        <option value="">--Pilih Bagian--</option>
                                    </select>
                                </div>
                            </div>
                            <div class="col-md-4 mt-3">
                                <div class="col-md-12 mt-3">
                                    <div class="form-label"> Perusahaan </div>
                                    <select name="perusahaan" class="form-control select2" style="width: 100%; padding: 5px;"  required>
                                        <option value="">--Pilih Perusahaan--</option>
                                        {% for item_perusahaan in perusahaan_list %}
                                            <option {% if item_perusahaan.id == item_spk.perusahaan_id %}selected{% endif %} value="{{item_perusahaan.id}}">{{item_perusahaan.namaperusahaan}}</option>
                                        {% endfor %}
                                    </select>
                                </div>
                                <!-- <div class="col-md-12 mt-3">
                                    <div class="form-label"> Kegiatan </div>
                                    <select name="perusahaan" class="form-control select2" style="width: 100%; padding: 5px;"  required>
                                        <option value="">--Pilih Perusahaan--</option>
                                        {% for item_perusahaan in perusahaan_list %}
                                            <option value="{{item_perusahaan.id}}">{{item_perusahaan.namaperusahaan}}</option>
                                        {% endfor %}
                                    </select>
                                </div> 
                                <div class="col-md-12 mt-3">
                                    <div class="form-label"> Sub Kegiatan </div>
                                    <select name="perusahaan" class="form-control select2" style="width: 100%; padding: 5px;"  required>
                                        <option value="">--Pilih Perusahaan--</option>
                                        {% for item_perusahaan in perusahaan_list %}
                                            <option value="{{item_perusahaan.id}}">{{item_perusahaan.namaperusahaan}}</option>
                                        {% endfor %}
                                    </select>
                                </div> -->
                                <div class="col-md-12 mt-3">
                                    <div class="form-label"> NO SPK </div>
                                    <input type="text" value="{% if item_spk %}{{item_spk.nospk}}{% else %}{{spk_no}}/{{nomor_spk}}/{{bulan_romawi}}/{{tahun_tahapan}}{% endif %}" name="nospk" class="form-control" required placeholder="Isi No. SPK">
                                </div>
                                <div class="col-md-12 mt-3">
                                    <div class="form-label"> Tanggal SPK </div>
                                    <input type="date" value="{{ item_spk.tglspk|date:'Y-m-d' }}" name="tglspk" class="form-control" required placeholder="Isi Tanggal SPK">
                                </div>
                                <div class="col-md-12 mt-3">
                                    <div class="form-label"> Uraian Pekerjaan </div>
                                    <textarea name="uraipekerjaan"  cols="30" rows="10" class="form-control">{{item_spk.uraipekerjaan}}</textarea>
                                </div>
                                <!-- <div class="col-md-12 mt-3">
                                    <div class="form-label"> Sumberdana </div>
                                    <textarea name="sumberdana"  cols="30" rows="10" class="form-control">{{item_spk.sumberdana}}</textarea>
                                </div> -->
                                <div class="col-md-12 mt-3">
                                    <div class="form-label"> Waktu Pelaksanaan </div>
                                    <input type="text" value="{{item_spk.waktupelaksanaan}}" name="waktupelaksanaan" class="form-control" required placeholder="Isi Waktu Pelaksanaan">
                                </div>
                            </div>
                                
                            </div>
                        
                        <div class="mt-3">
                            <a href="{% url 'profile:admin_spk' %}" class="btn btn-info" ><i class="fa fa-arrow-left px-1"></i>Kembali</a>
                            <button class="btn btn-primary" type="submit"><i class="fa fa-save"></i> Simpan</button>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>


{% endblock main %}

{% block footer %}
    {% include 'profile/layouts/admin/footer.html' %}
{% endblock footer %}

<!-- <form method ='post' enctype ="multipart/form-data" action="{% url 'profile:admin_spk_create' %}">
    {% csrf_token %}
     <div class="row">
        <div class="col-md-3"> SKPD </div>
        <div class="col-md-9"> 
            <select name="opd" class="form-control select2" style="width: 100%;" required>
                <option value="">--Pilih SKPD--</option>
                {% for item_skpd in skpd_list %}
                    <option value="{{item_skpd.id}}">{{item_skpd.namaopd}} {{item_skpd.lokasi.kabupaten}} {{item_skpd.lokasi.provinsi}}</option>
                {% endfor %}
            </select>
        </div>
     </div>
     <hr>
     <div class="row">
        <div class="col-md-3"> Perusahaan </div>
        <div class="col-md-9"> 
            <select name="perusahaan" class="form-control select2" style="width: 100%; padding: 5px;"  required>
                <option value="">--Pilih Perusahaan--</option>
                {% for item_perusahaan in perusahaan_list %}
                    <option value="{{item_perusahaan.id}}">{{item_perusahaan.namaperusahaan}}</option>
                {% endfor %}
            </select>
        </div>
     </div>
     <hr>
     <div class="row">
        <div class="col-md-3"> NO SPK </div>
        <div class="col-md-9"> <input type="text" value="{{spk_no}}{{nomor_spk}}" name="nospk" class="form-control" required placeholder="Isi No. SPK"></div>
     </div>
     <hr>
     <div class="row">
        <div class="col-md-3"> Tanggal SPK </div>
        <div class="col-md-9"> <input type="date" name="tglspk" class="form-control" required placeholder="Isi Tanggal SPK"></div>
     </div>
     <hr>
     <div class="row">
        <div class="col-md-3">Uraian Pekerjaan </div>
        <div class="col-md-9">
            <textarea name="uraipekerjaan"  cols="30" rows="10" class="form-control"></textarea>
        </div>
     </div>
     <hr>
     <div class="row">
        <div class="col-md-3">Sumberdana </div>
        <div class="col-md-9">
            <textarea name="sumberdana"  cols="30" rows="10" class="form-control"></textarea>
        </div>
     </div>
     <hr>
     <div class="row">
        <div class="col-md-3"> Waktu Pelaksanaan </div>
        <div class="col-md-9"> <input type="text" name="waktupelaksanaan" class="form-control" required placeholder="Isi Waktu Pelaksanaan"></div>
     </div>
     <hr>

    
    <div class="modal-footer">
        <button class="btn btn-primary" type="submit"><i class="fa fa-save"></i> Simpan</button>
        <button class="btn btn-danger" type="button" data-dismiss="modal"><i class="fa fa-times"></i> Tutup</button>
    </div>
</form> -->

{% block scripts_bawah %}
<script type="text/javascript">
    $(function(){
        if ("{{edit}}") {
            
            $('#opd').trigger('change');
        }
    });

    function render_kegiatan(e, id_next, type_){
        $.ajax({
             type: 'POST',
             headers : { "X-CSRFToken": $("input[name=csrfmiddlewaretoken]").val() },
             url: "{% url 'profile:render_kegiatan' %}",
             data: {
                    'type_': type_,
                    'value': $(e).val(),
             },
             dataType: 'json',
             success: function(data)
             {
                // show_notif(data.message,data.status);
                if(data.status == 'success'){
                    data_kegiatan = data.kegiatan
                    $(`#${id_next}`).html('');
                    $(`#${id_next}`).append(`<option value="">${$(`#${id_next}`).data('default_label')}</option>`);
                    for (var i = 0; i < data_kegiatan.length; i++) {
                        if (data_kegiatan[i].kegiatan_kode == null) {
                            $(`#${id_next}`).append(`<option value="${data_kegiatan[i].kegiatan_id}">${data_kegiatan[i].kegiatan_nama}</option>`);
                        }else{
                            $(`#${id_next}`).append(`<option value="${data_kegiatan[i].kegiatan_id}">${data_kegiatan[i].kegiatan_kode} - ${data_kegiatan[i].kegiatan_nama}</option>`);
                        }

                    }

                    if($(`#${id_next}`).data('value') != ''){
                        $(`#${id_next}`).val($(`#${id_next}`).data('value')).change();
                    }
                    // console.log(data)
                }
             },
             error: function(data){
                try{
                    show_notif(data.responseJSON.message,data.responseJSON.status);
                }catch(er){
                    show_notif('Terjadi Kesalahan Server.','error');
                }
             }
        });
    }
</script>
{% endblock scripts_bawah %}